package com.chelvc.cloud.vehicle.api.constant;

import com.chelvc.framework.common.model.Enumeration;
import lombok.Getter;

/**
 * 文章状态枚举
 *
 * @author Woody
 * @date 2023/7/17
 */
@Getter
public enum ArticleStatus implements Enumeration {
    /**
     * 审核中
     */
    AUDITING("审核中"),

    /**
     * 已上线
     */
    ONLINE("已上线"),

    /**
     * 已下线
     */
    OFFLINE("已下线"),

    /**
     * 已拒绝
     */
    REJECTED("已拒绝");

    /**
     * 状态描述
     */
    private final String description;

    ArticleStatus(String description) {
        this.description = description;
    }
}
