package com.chelvc.cloud.vehicle.api.constant;

import com.chelvc.framework.common.model.Enumeration;
import lombok.Getter;

/**
 * 分类类型枚举
 *
 * @author Woody
 * @date 2023/7/17
 */
@Getter
public enum CategoryType implements Enumeration {
    /**
     * 汽车美容
     */
    BEAUTY("汽车美容"),

    /**
     * 汽车维修
     */
    REPAIR("汽车维修"),

    /**
     * 汽车保养
     */
    MAINTAIN("汽车保养"),

    /**
     * 租车服务
     */
    LEASE("租车服务"),

    /**
     * 买车卖车
     */
    TRADE("买车卖车"),

    /**
     * 汽车改装
     */
    REFIT("汽车改装"),

    /**
     * 其他服务
     */
    OTHER("其他服务");

    /**
     * 类型描述
     */
    private final String description;

    CategoryType(String description) {
        this.description = description;
    }
}
