package com.chelvc.cloud.vehicle.api.constant;

import com.chelvc.framework.common.model.Enumeration;
import lombok.Getter;

/**
 * 优惠券状态枚举
 *
 * @author Woody
 * @date 2023/7/17
 */
@Getter
public enum CouponStatus implements Enumeration {
    /**
     * 已上线
     */
    ONLINE("已上线"),

    /**
     * 已下线
     */
    OFFLINE("已下线");

    /**
     * 状态描述
     */
    private final String description;

    CouponStatus(String description) {
        this.description = description;
    }
}
