package com.chelvc.cloud.vehicle.api.constant;

import com.chelvc.framework.common.model.Enumeration;
import lombok.Getter;

/**
 * 优惠券类型枚举
 *
 * @author Woody
 * @date 2023/7/17
 */
@Getter
public enum CouponType implements Enumeration {
    /**
     * 赠送
     */
    GIVE("赠送"),

    /**
     * 满减
     */
    REDUCE("满减"),

    /**
     * 折扣
     */
    DISCOUNT("折扣");

    /**
     * 类型描述
     */
    private final String description;

    CouponType(String description) {
        this.description = description;
    }
}
