package com.chelvc.cloud.vehicle.api.constant;

import com.chelvc.framework.common.model.Enumeration;
import lombok.Getter;

/**
 * 预约状态枚举
 *
 * @author Woody
 * @date 2023/7/17
 */
@Getter
public enum ReserveStatus implements Enumeration {
    /**
     * 待处理
     */
    PENDING("待处理"),

    /**
     * 已取消
     */
    CANCELED("已取消"),

    /**
     * 已接受
     */
    ACCEPTED("已接受"),

    /**
     * 已拒绝
     */
    REJECTED("已拒绝"),

    /**
     * 已完成
     */
    COMPLETED("已完成");

    /**
     * 状态描述
     */
    private final String description;

    ReserveStatus(String description) {
        this.description = description;
    }
}
