package com.chelvc.cloud.vehicle.api.constant;

import com.chelvc.framework.common.model.Enumeration;
import lombok.Getter;

/**
 * 排序规则枚举
 *
 * @author Woody
 * @date 2023/7/20
 */
@Getter
public enum Sort implements Enumeration {
    /**
     * 综合排序
     */
    SYNTHESE("综合排序"),

    /**
     * 离我最近
     */
    NEAREST("离我最近"),

    /**
     * 好评优先
     */
    FAVORITE("好评优先"),

    /**
     * 销量优先
     */
    BESTSELLING("销量优先");

    /**
     * 排序描述
     */
    private final String description;

    Sort(String description) {
        this.description = description;
    }
}
