package com.chelvc.cloud.vehicle.api.dto;

import java.io.Serializable;
import java.util.Date;

import com.chelvc.cloud.vehicle.api.constant.CategoryType;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 分类信息
 *
 * @author Woody
 * @date 2023/5/2
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CategoryDTO implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 分类类型
     */
    private CategoryType type;

    /**
     * 分类名称
     */
    private String name;

    /**
     * 分类图标
     */
    private String icon;

    /**
     * 排序数字
     */
    private Integer sort;

    /**
     * 是否启用
     */
    private Boolean enabled;

    /**
     * 是否推荐
     */
    private Boolean recommend;

    /**
     * 创建用户
     */
    private Long creator;

    /**
     * 创建时间
     */
    private Date createTime;
}
