package com.chelvc.cloud.vehicle.api.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.chelvc.cloud.vehicle.api.constant.CategoryType;
import com.chelvc.cloud.vehicle.api.constant.GoodsStatus;
import com.chelvc.framework.common.model.File;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 商品信息
 *
 * @author Woody
 * @date 2023/7/17
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class GoodsDTO implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 分类类型
     */
    private CategoryType type;

    /**
     * 分类ID
     */
    private Long categoryId;

    /**
     * 商家ID
     */
    private Long merchantId;

    /**
     * 商品名称
     */
    private String name;

    /**
     * 商品Logo
     */
    private String logo;

    /**
     * 轮播图列表
     */
    private List<File> banners;

    /**
     * 商品描述
     */
    private String description;

    /**
     * 商品原价
     */
    private Double originalPrice;

    /**
     * 优惠价格
     */
    private Double specialPrice;

    /**
     * 商品评分
     */
    private Double score;

    /**
     * 订单销量
     */
    private Integer sale;

    /**
     * 优惠券ID列表
     */
    private List<Long> couponIds;

    /**
     * 商品状态
     */
    private GoodsStatus status;

}
