package com.chelvc.cloud.vehicle.api.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.chelvc.cloud.vehicle.api.constant.MerchantStatus;
import com.chelvc.framework.common.model.File;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 商家信息
 *
 * @author Woody
 * @date 2023/5/4
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantDTO implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 商家名称
     */
    private String name;

    /**
     * 商家Logo
     */
    private String logo;

    /**
     * 轮播图列表
     */
    private List<File> banners;

    /**
     * 联系人
     */
    private String liaison;

    /**
     * 联系电话
     */
    private String mobile;

    /**
     * 营业时间
     */
    private String opening;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 商家评分
     */
    private Double score;

    /**
     * 订单销量
     */
    private Integer sale;

    /**
     * 好评数量
     */
    private Integer goodReview;

    /**
     * 距离（米）
     */
    private Integer distance;

    /**
     * 经度
     */
    private Double longitude;

    /**
     * 纬度
     */
    private Double latitude;

    /**
     * 是否推荐
     */
    private Boolean recommend;

    /**
     * 商家状态
     */
    private MerchantStatus status;

    /**
     * 创建用户
     */
    private Long creator;

    /**
     * 创建时间
     */
    private Date createTime;
}
