package com.chelvc.cloud.vehicle.api.param;

import java.io.Serializable;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import com.chelvc.framework.common.model.Paging;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 分类查询参数
 *
 * @author Woody
 * @date 2023/5/2
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CategoryPagingParam implements Serializable {
    /**
     * 分页信息
     */
    @NotNull(message = "分页不能为空")
    private Paging paging;

    /**
     * 分类名称
     */
    @Size(max = 50, message = "分类名称长度不能大于50")
    private String name;

    /**
     * 是否启用
     */
    private Boolean enabled;
}
