package com.chelvc.cloud.vehicle.api.param;

import java.io.Serializable;
import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 商品评价查询参数
 *
 * @author Woody
 * @date 2023/8/7
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CommentQueryParam implements Serializable {
    /**
     * 偏移评价ID
     */
    @Min(value = 1, message = "偏移评价ID不能小于1")
    private Long offset;

    /**
     * 查询数量
     */
    @NotNull(message = "查询数量不能为空")
    @Min(value = 1, message = "查询数量不能小于1")
    @Max(value = 20, message = "查询数量不能大于20")
    private Integer size;
}
