package com.chelvc.cloud.vehicle.api.param;

import java.io.Serializable;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import com.chelvc.cloud.vehicle.api.constant.GoodsStatus;
import com.chelvc.framework.common.model.Paging;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 商品信息
 *
 * @author liude
 * @date 2023/7/17
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class GoodsPagingParam implements Serializable {
    /**
     * 分页信息
     */
    @NotNull(message = "分页不能为空")
    private Paging paging;

    /**
     * 商品名称
     */
    @Size(max = 100, message = "商品名称长度不能大于100")
    private String name;

    /**
     * 分类ID
     */
    private Long categoryId;
    /**
     * 商品状态
     */
    private GoodsStatus status;
}
