package com.chelvc.cloud.vehicle.api.param;

import java.io.Serializable;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import com.chelvc.cloud.vehicle.api.constant.MerchantStatus;
import com.chelvc.framework.common.model.Paging;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 商家信息
 *
 * @author Woody
 * @date 2023/5/4
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantPagingParam implements Serializable {
    /**
     * 分页信息
     */
    @NotNull(message = "分页不能为空")
    private Paging paging;

    /**
     * 商家名称
     */
    @Size(max = 100, message = "商家名称长度不能大于100")
    private String name;

    /**
     * 是否推荐
     */
    private Boolean recommend;

    /**
     * 商家状态
     */
    private MerchantStatus status;
}
