package com.chelvc.cloud.vehicle.api.param;

import java.io.Serializable;
import java.util.Date;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 预约信息更新参数
 *
 * @author Woody
 * @date 2023/7/17
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ReservationModifyParam implements Serializable {
    /**
     * 联系电话
     */
    @NotEmpty(message = "联系电话不能为空")
    @Size(max = 50, message = "联系电话长度不能大于50")
    private String mobile;

    /**
     * 约定时间
     */
    @NotNull(message = "约定时间不能为空")
    private Date appointTime;
}
