package com.chelvc.cloud.vehicle.api.service;
import com.chelvc.cloud.vehicle.api.dto.CouponDTO;
import com.chelvc.cloud.vehicle.api.param.CouponModifyParam;
import com.chelvc.cloud.vehicle.api.param.CouponPagingParam;
import com.chelvc.framework.common.model.Pagination;

/**
 * 优惠券业务操作接口
 *
 * @author Woody
 * @date 2023/7/17
 */
public interface CouponService {

    /**
     * 新增商品优惠券
     *
     * @param param 新增参数
     * @return 商品优惠券主键
     */
    Long addCoupon(CouponModifyParam param);

    /**
     * 修改商品优惠券
     *
     * @param id    商品优惠券主键
     * @param param 修改参数
     */
    void updateCoupon(Long id, CouponModifyParam param);

    /**
     * 删除商品优惠券
     *
     * @param id    商品优惠券主键
     */
    void deleteCoupon(Long id);

    /**
     * 查询商品优惠券
     *
     * @param param 查询参数
     * @return 商品优惠券分页信息
     */
    Pagination<CouponDTO> getCouponPaging(CouponPagingParam param);
}
