package com.chelvc.cloud.vehicle.server.copier;

import java.util.Collection;
import java.util.List;

import com.chelvc.cloud.vehicle.api.dto.CategoryDTO;
import com.chelvc.cloud.vehicle.api.param.CategoryModifyParam;
import com.chelvc.cloud.vehicle.server.entity.Category;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

/**
 * 分类信息拷贝接口
 *
 * @author Woody
 * @date 2023/5/2
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface CategoryCopier {
    /**
     * 对象拷贝接口实例
     */
    CategoryCopier INSTANCE = Mappers.getMapper(CategoryCopier.class);

    /**
     * 分类信息拷贝
     *
     * @param category 分类信息
     * @return 分类信息
     */
    CategoryDTO copying(Category category);

    /**
     * 分类信息拷贝
     *
     * @param categories 分类信息集合
     * @return 分类信息列表
     */
    List<CategoryDTO> copying(Collection<Category> categories);

    /**
     * 分类信息拷贝
     *
     * @param param 分类更新参数
     * @return 分类信息
     */
    Category copying(CategoryModifyParam param);

    /**
     * 分类信息拷贝
     *
     * @param param    分类更新参数
     * @param category 分类信息
     */
    void copying(CategoryModifyParam param, @MappingTarget Category category);
}
