package com.chelvc.cloud.vehicle.server.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chelvc.cloud.vehicle.server.entity.Category;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 分类数据操作接口
 *
 * @author Woody
 * @date 2023/5/2
 */
@Mapper
public interface CategoryMapper extends BaseMapper<Category> {
    /**
     * 获取推荐分类信息
     *
     * @param size 分类个数
     * @return 分类信息列表
     */
    List<Category> listRecommendCategories(@Param("size") int size);
}
