package com.chelvc.cloud.vehicle.server.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chelvc.cloud.vehicle.api.dto.CommentDTO;
import com.chelvc.cloud.vehicle.api.param.CommentQueryParam;
import com.chelvc.cloud.vehicle.server.entity.Comment;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 商家评价数据操作接口
 *
 * @author xp
 * @data 2023/3/31
 */
@Mapper
public interface CommentMapper extends BaseMapper<Comment> {
    /**
     * 获取商品评价列表
     *
     * @param goodsId 商品ID
     * @param param   查询参数
     * @return 评价列表
     */
    List<CommentDTO> listGoodsComments(@Param("goodsId") Long goodsId, @Param("param") CommentQueryParam param);
}
