package com.chelvc.cloud.vehicle.server.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.chelvc.cloud.vehicle.api.constant.ArticleStatus;
import com.chelvc.framework.common.model.Platform;
import com.chelvc.framework.common.model.Terminal;
import com.chelvc.framework.database.entity.Entity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 文章数据模型
 *
 * @author xp
 * @data 2023/3/31
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class Article implements Entity<Long> {
    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 文章标题
     */
    private String title;

    /**
     * 文章内容
     */
    private String content;

    /**
     * 渠道来源
     */
    private String channel;

    /**
     * 使用平台
     */
    private Platform platform;

    /**
     * 使用终端
     */
    private Terminal terminal;

    /**
     * 客户端版本
     */
    private String version;

    /**
     * 浏览量
     */
    private Integer viewCount;

    /**
     * 文章状态
     */
    private ArticleStatus status;

    /**
     * 创建时间
     */
    private Date createTime;
}
