package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.chelvc.cloud.vehicle.api.constant.CategoryType;
import com.chelvc.framework.database.annotation.Unique;
import com.chelvc.framework.database.entity.ModifyEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

/**
 * 分类数据模型
 *
 * @author Woody
 * @date 2023/5/2
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class Category extends ModifyEntity<Long> {
    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 分类类型
     */
    private CategoryType type;

    /**
     * 分类名称
     */
    @Unique(message = "分类名称已存在")
    private String name;

    /**
     * 分类图标
     */
    private String icon;

    /**
     * 排序数字
     */
    private Integer sort;

    /**
     * 是否启用
     */
    private Boolean enabled;

    /**
     * 是否推荐
     */
    private Boolean recommend;
}
