package com.chelvc.cloud.vehicle.server.entity;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.framework.common.model.File;
import com.chelvc.framework.database.entity.Entity;
import com.chelvc.framework.database.interceptor.FilesTypeHandler;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 商品评价数据模型
 *
 * @author xp
 * @data 2023/4/1
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName(autoResultMap = true)
public class Comment implements Entity<Long> {
    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 订单ID
     */
    private Long orderId;

    /**
     * 商品ID
     */
    private Long goodsId;

    /**
     * 商家ID
     */
    private Long merchantId;

    /**
     * 评价打分
     */
    private Double score;

    /**
     * 评价内容
     */
    private String content;

    /**
     * 附件列表
     */
    @TableField(typeHandler = FilesTypeHandler.class)
    private List<File> attachments;

    /**
     * 创建时间
     */
    private Date createTime;
}
