package com.chelvc.cloud.vehicle.server.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.api.dto.CommentDTO;
import com.chelvc.cloud.vehicle.api.param.CommentQueryParam;
import com.chelvc.cloud.vehicle.server.entity.Comment;

/**
 * 商家评论业务接口
 *
 * @author xp
 * @data 2023/3/31
 */
public interface CommentService extends IService<Comment> {
    /**
     * 获取商品评价列表
     *
     * @param goodsId 商品ID
     * @param param   查询参数
     * @return 评价列表
     */
    List<CommentDTO> listGoodsComments(Long goodsId, CommentQueryParam param);
}
