package com.chelvc.cloud.vehicle.server.service;

import java.util.Collection;
import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.api.dto.CouponDTO;
import com.chelvc.cloud.vehicle.server.entity.Coupon;

/**
 * 优惠券业务操作接口
 *
 * @author Woody
 * @date 2023/7/17
 */
public interface CouponService extends IService<Coupon> {
    /**
     * 获取用户针对某个商品的可用优惠券
     *
     * @param userId         用户ID
     * @param goodsCouponIds 商品优惠券ID集合
     * @return 优惠券列表
     */
    List<CouponDTO> listUserGoodsActiveCoupons(Long userId, Collection<Long> goodsCouponIds);

}
