package com.chelvc.cloud.vehicle.server.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.api.constant.CategoryType;
import com.chelvc.cloud.vehicle.api.dto.GoodsDTO;
import com.chelvc.cloud.vehicle.api.param.GoodsQueryParam;
import com.chelvc.cloud.vehicle.server.entity.Goods;

/**
 * 商品业务操作接口
 *
 * @author Woody
 * @date 2023/7/17
 */
public interface GoodsService extends IService<Goods> {
    /**
     * 获取商家商品分类类型
     *
     * @param merchantId 商家ID
     * @return 分类类型列表
     */
    List<CategoryType> listMerchantGoodsCategoryTypes(Long merchantId);

    /**
     * 查询商家商品
     *
     * @param merchantId 商家ID
     * @param param      查询参数
     * @return 商品列表
     */
    List<GoodsDTO> listMerchantSimpleGoods(Long merchantId, GoodsQueryParam param);
}
