package com.chelvc.cloud.vehicle.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.api.constant.ReserveStatus;
import com.chelvc.cloud.vehicle.api.param.ReservationModifyParam;
import com.chelvc.cloud.vehicle.server.copier.ReservationCopier;
import com.chelvc.cloud.vehicle.server.dao.ReservationMapper;
import com.chelvc.cloud.vehicle.server.entity.Reservation;
import com.chelvc.cloud.vehicle.server.service.ReservationService;
import com.chelvc.framework.base.context.SessionContextHolder;
import lombok.NonNull;
import org.apache.dubbo.config.annotation.DubboService;

/**
 * 预约记录业务操作实现
 *
 * @author Woody
 * @date 2023/7/17
 */
@DubboService(interfaceClass = com.chelvc.cloud.vehicle.api.service.ReservationService.class)
public class ReservationServiceImpl extends ServiceImpl<ReservationMapper, Reservation> implements ReservationService,
        com.chelvc.cloud.vehicle.api.service.ReservationService {
    @Override
    public void addReservation(@NonNull Long merchantId, @NonNull ReservationModifyParam param) {
        Reservation reservation = ReservationCopier.INSTANCE.copying(param);
        reservation.setUserId(SessionContextHolder.getId());
        reservation.setMerchantId(merchantId);
        reservation.setStatus(ReserveStatus.PENDING);
        this.save(reservation);
    }
}
